/*
 * mux_bin.h
 *
 *  Created on: 29-03-2018
 *      Author: Krzysztof Jakubczyk
 */

#ifndef MUX_BIN_H_
#define MUX_BIN_H_

#include "tdefs.h"

struct mux_bin_logic
{
	struct binary_io we1;
	struct binary_io we2;
	struct binary_io a;
	struct binary_io wy;
};

struct mux_bin_io
{
	u32 we1_in;
	u32 we2_in;
	u32 a_in;
	u32 wy_out;
}__attribute__((__packed__));

struct mux_bin_params
{
}__attribute__((__packed__));

struct mux_bin_args
{
	struct mux_bin_io io;
	struct mux_bin_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void mux_bin(void *args, void *logic);
extern int mux_bin_initlog(void *arguments, void *logic);

#endif /* MUX_BIN_H_ */
